﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FluidInterfaces
{
    class ChainUser
    {
        private string _name;
        public ChainUser Name(string name)
        {
            this._name = name;
            return this;
        }

        private string _residence;
        public ChainUser Residence(string residence)
        {
            this._residence = residence;
            return this;
        }

        private int _age;
        public ChainUser Age(int age)
        {
            this._age = age;
            return this;
        }

        public ChainUser GetInformation()
        {
            Console.WriteLine(String.Format("{0} is {1} years old and currently living in {2}.", this._name, this._age.ToString(), this._residence));
            return this;
        }
    }
}
